* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Instrument Sans', sans-serif;
}

.container{ 
    position: relative;
    top: 25px;
    display: flex;
    gap: 5rem;
    justify-content: center;
    align-items: center;
    height: 100vh;

}
.container::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url(Images/back2u.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    filter: blur(5px);
    z-index: -1;
    opacity: 0;
    animation: scroll 1s ease-out forwards .25s;
}
.bg{
    display:none ; 
}
.Mypics{
    width:auto;
    height: 65%;
    order: 1;
    opacity: 0;
    animation: scroll 1s ease-out forwards .5s;
}
.text{
    display: grid;
    gap:1rem;
    grid-template-columns: 1fr;
    opacity: 0;
    animation: scroll 1s ease-out forwards 1s;
}
.text h1{
    font-size: 3rem;
    font-weight: 700;
    opacity: 0;
    animation: scroll 1s ease-out forwards 1s;
}
.text p{
    font-size: 1.1rem;
    font-weight: 400;
    opacity: 0;
    animation: scroll 1s ease-out forwards 1.5s;
}
.scroll{
    position: absolute;
    bottom: 2rem;
    left: 50%;
    transform: translateX(-50%);
    width: 3rem;
    height: 5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0;
    animation: scroll 1s ease-out forwards 2s;
}
@keyframes scroll {
    0% {
        opacity: 0;
        transform: translateY(20px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
.Main-Nav{
    display:flex;
    justify-content: center;
    align-items: center;
    background-image: url(Images/screen2.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    height: 100vh;
}
.nav{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2rem;
    background-image: url(Images/Box.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 55%;
    height: 100vh;
}
ul{
    display: grid;
    grid-template-columns: 1fr;
    gap: 5rem;
    list-style: none;
}
li{
    border: black 1px double;
    display: inline-block;
    width: 100%;
    height: 3.5rem;
    font-size: 1.5rem;
    font-weight: 700;
    text-align: center;
    transition: all 0.3s ease-in-out;
    background-image: url(Images/Rectangle5.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 10px;
  
}
li:hover{
    background-image: url(Images/Rectangle5.svg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    transform: scale(1.05);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    transition: all 0.3s ease-in-out;
    
}
li a{
    padding-top: .75rem;
    padding-left: 3rem;
    padding-right: 3rem;
    color: #fff;
    text-decoration: none;
    display: block;
    width: 100%;
    height: 100%;
    
}
.reveal-on-scroll{
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.reveal-on-scroll.is-visible{
    opacity:1;
    transform: translateY(0);
}

@media (max-width: 900px) {
    .bg{
    display: flex ; 
    width: 45%;
    opacity: 0;
    animation: scroll 1s ease-out forwards .5s;
}
    .container {
        top:5px;
        flex-direction: column;
        gap: 2rem;
        height: 120vh;
        padding: 2rem 0;

    }
    .Mypics {
        display: none;
    }
    .Main-Nav{
        background-size: auto;
        background-position: center;
        flex-direction: column;
        width: 100%;
        height: 100vh;
        gap: 1.5rem;
    }
    .nav {
        width: 90%;
        height: 90vh;
        padding: 2rem 0;
    }
    ul {
        gap: 5rem;
    }
    li {
        font-size: 1.1rem;
        height: 3.5rem;
    }
   li a {
        padding-top: 1rem;

    }
    .text h1 {
        font-size: 2rem;
        text-align: center;
    }
    .text p {
        font-size: 1rem;
        text-align: center;
    }
    .scroll {
        left: 45%;
        top: 38rem;
        width: 2rem;
        height: 2rem;
    }
}
